Subject: Re: bug#11157: 23.3; rcirc - /part <channel> <string> is confusing

From: Noam Postavsky <[email-masked]>
Date: Sat, 01 Jun 2019 20:09:19 -0400

tags 11157 fixed
close 11157 27.1
quit

[email-masked] (Trent W. Buck) writes:

> Usually I don't bother with a part message, but when I do, I get this
> confusing/annoying behaviour:  10:32 /part #dovecot Never mind, it's
> working now.
>    10:32 *** twb PART #dovecot "Never"
>
> AFAICT the arguments are
>
>    /part [channel [message]]
>
> IMO they should be
>
>    /part [channel [message ...]]
>
> i.e. instead of ignoring additional arguments, treat them as part of the
> part message.

Fixed in master.

4541e31d9c 2019-06-01T20:01:43-04:00 "Handle argument to rcirc /part properly (Bug#11157)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=4541e31d9c522df3cef6e7ab939655f6f92e7fb4